Cyberduck Mountain Duck CLI

#10621 closed defect (fixed)

Connect button not working to initiate a connection

Reported by: vwalveranta Owned by: yla
Priority: high Milestone: 6.9.4
Component: interface Version: 6.9.3
Severity: normal Keywords: windows s3 cyberduck
Cc: Architecture:
Platform:

Description

Currently, on Windows 10 with current patches, when I try to open a connection with aws_access_key_id and aws_secret_access_key defined, nothing happens when I click on "Connect". Same functionality both on the latest 6.x as well as the latest 7.x beta. The same credentials work normally from the same Windows system using Cloudberry Explorer for S3, and the operation works also normally with the Mac version of Cyberduck (on a Mac, naturally :-), so it seems the Windows version of Cyberduck is affected by this problem.

Change History (10)

comment:1 Changed on Feb 17, 2019 at 11:25:24 AM by dkocher

  • Version set to 6.9.3

Where is your credentials file located?

comment:2 Changed on Feb 17, 2019 at 11:25:35 AM by dkocher

  • Component changed from core to s3
  • Milestone set to 7.0
  • Owner set to yla

comment:3 Changed on Feb 17, 2019 at 8:06:05 PM by dkocher

  • Component changed from s3 to interface
  • Summary changed from Cyberduck 6.x/7.x Windows: S3 connections currently INOP to Connect button not working to initiate a connection

comment:4 Changed on Feb 17, 2019 at 9:12:16 PM by vwalveranta

Cyberduck requires a credentials file? I don't have one configured on the Windows system I think. The credentials entered into the connection profile aren't standalone? What does it need from the credentials file since the connection profile is already provided the aws_access_key_id and aws_secret_access_key, and the region is set in the profile settings?

comment:5 Changed on Feb 22, 2019 at 8:44:32 AM by dkocher

#10625 closed as duplicate.

comment:6 Changed on Feb 22, 2019 at 1:04:42 PM by dkocher

  • Milestone changed from 7.0 to 6.9.4

comment:7 Changed on Feb 22, 2019 at 2:51:53 PM by frostyj2

Stumbled upon a workaround for this glitch yesterday. Accidentally had it set to FTP instead of Amazon S3 that I was trying to connect to and hit Connect, and it eventually errors (or can just hang there). If while it's hanging there or once it errors out, I then change it from FTP to Amazon S3 it then connects! But again this is still an issue needing a fix.

comment:8 Changed on Feb 25, 2019 at 7:35:10 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r46431.

comment:9 Changed on Feb 26, 2019 at 1:52:51 PM by dkocher

#10624 closed as duplicate.

comment:10 Changed on Mar 1, 2019 at 8:04:11 AM by dkocher

#10636 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software